MKDIR(1)

NAME
mkdir - make a directory

SYNOPSIS
mkdir [ -p ] [ -m mode ] dirname ...

DESCRIPTION
Mkdir creates the specified directories. It requires write permission in the parent directory.

If the -p flag is given, mkdir creates any necessary parent directories and does not complain if the target directory already exists.

The -m flag sets the permissions to be used when creating the directory. The default is 0777.

SEE ALSO
rm(1)
cd in rc(1)

SOURCE
/src/cmd/mkdir.c

DIAGNOSTICS
Mkdir returns null exit status if all directories were successfully made. Otherwise it prints a diagnostic and returns "error" status.